Rated 5 out of 5 stars

Awesome plugin. While waiting for the new official version to be released for Firefox 5 the maxVersion setting can be changed in the .xpi file (inside install.rtf) to get it functioning in version 5. :)

This review is for a previous version of the add-on (0.9.1-signed).